/*******************************************************************************
 * Copyright (c) 2016 BREDEX GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     BREDEX GmbH - initial API and implementation and/or initial documentation
 *******************************************************************************/
package org.eclipse.jubula.toolkit.internal;

/**
 * Constants for the Component System key literals 
 * 
 * @author BREDEX GmbH */
public class CSConstants {
    /** the component system key */
    public static final String ACTION_TO_PERFOM = "CompSystem.ActionToPerfom"; //$NON-NLS-1$
    /** the component system key */
    public static final String COMMAND = "CompSystem.Command"; //$NON-NLS-1$
    /** the component system key */
    public static final String DIR = "CompSystem.Dir"; //$NON-NLS-1$
    /** the component system key */
    public static final String EXECUTABLE = "CompSystem.Executable"; //$NON-NLS-1$
    /** the component system key */
    public static final String NEW_ENVIRONMENT = "CompSystem.NewEnvironment"; //$NON-NLS-1$
    /** the component system key */
    public static final String EXPECTED_BEHAVIOR = "CompSystem.ExpectedBehavior"; //$NON-NLS-1$
    /** the component system key */
    public static final String EXPECTED_EXIT_CODE = "CompSystem.ExpectedExitCode"; //$NON-NLS-1$
    /** the component system key */
    public static final String EXEC_RAW_ARGS = "CompSystem.rawArgs"; //$NON-NLS-1$
    /** the component system key */
    public static final String RAW_ARG_SPLIT_CHAR = "CompSystem.rawArgs.splitChar"; //$NON-NLS-1$
    /** the component system key */
    public static final String EXEC_CONTEXT = "CompSystem.env"; //$NON-NLS-1$
    /** the component system key */
    public static final String OUTPUT_ENCODING = "CompSystem.OutputEncoding"; //$NON-NLS-1$
    /** the component system key */
    public static final String EXEC_CONTEXT_AUT = "AUT"; //$NON-NLS-1$
    /** the component system key */
    public static final String EXEC_CONTEXT_ITE = "ITE"; //$NON-NLS-1$
    /** the component system key */
    public static final String RUN_LOCAL = "CompSystem.RunLocal"; //$NON-NLS-1$
    /** the component system key */
    public static final String TIMEOUT = "CompSystem.Timeout"; //$NON-NLS-1$
    /** the component system key */
    public static final String TIMER_NAME = "CompSystem.TimerName"; //$NON-NLS-1$
    /** the component system key */
    public static final String VARIABLE_TO_STORE_ABSOLUTE_START_TIME = "CompSystem.VariableToStoreAbsoluteStartTime"; //$NON-NLS-1$
    /** the component system key */
    public static final String VARIABLE_TO_STORE_TIME_DELTA_SINCE_TIMER_START = "CompSystem.VariableToStoreTimeDeltaSinceTimerStart"; //$NON-NLS-1$
    
    
    /** Constructor */
    private CSConstants() { /* hide */ }
}
